Subject: Re: bug#52603: [PATCH 0/2] Flag missing netmasks early on

From: Mathieu Othacehe <[email-masked]>
Date: Sun, 19 Dec 2021 10:13:47 +0100

Hey Ludo,

> To avoid this, this patch flags it at expansion time (if possible) or
> at run time, before the machine configuration is built.
>
> Did I go overboard with ‘define-compile-time-procedure’?  I don’t think
> so :-), I think it will serve us more than once.

I tested this series, works fine! It is still possible to pass incorrect
netmasks (negative, > 32 for IPv4), but they should be way less frequent
than forgetting to add a netmask.

Thanks,

Mathieu